<?php
session_start();
include('../config.php');
include($rutaPhp.$rutaHtml.'/maqueta/includes.php');

if($_SESSION['accion']=='etiquetado') $metodo='LISTADOETIQUETADO';
else if($_SESSION['accion']=='precintado') $metodo='LISTADOPRECINTADO';
else if($_SESSION['accion']=='desprecintado') $metodo='LISTADODESPRECINTADO';

$peticion='SGAPrecintados#'.$_SESSION['empresa'].'#'.$_SESSION['usuario']['Usuario'].'#'.$metodo.'#'.$_SESSION['almacen'].';';
$resultado=PedirDatos($wsUsuario,$wsClave,$wsEmpresa,$peticion);

if($_GET['traza']=='si') {
	echo "<p>".$peticion."</p>";
	print_r($resultado);
}

$comboClientes=array();
$comboFechaCarga=array();
$comboHoraCarga=array();

foreach($resultado as $item) {

	if(!in_array($item['ClienteNombre'],$comboClientes) && $item['ClienteNombre']!='') $comboClientes[]=$item['ClienteNombre'];
	if(!in_array($item['FechaCarga'],$comboFechaCarga) && $item['FechaCarga']!='') $comboFechaCarga[]=$item['FechaCarga'];
	if(!in_array($item['HoraCarga'],$comboHoraCarga) && $item['HoraCarga']!='') $comboHoraCarga[]=$item['HoraCarga'];

}

if(!$resultado[0]['Error']) {
	
	if(count($resultado)>0) {
	
	?>
    <h3>Picking: <span id="nombreEstadoPicking">Orden de Picking cerrada</span></h3>
    
	<table class="tablaFormateada anchoMaximo">
	<tr>
		<?php if(count($_SESSION['empresas'])>1) { ?><th>Emp.</th><?php } ?>
		<th>Nº Orden</th>
		<th>Fecha Orden</th>
        <th>Cliente</th>
        <th>Producto</th>
        <th>Nombre Producto</th>
        <?php if($_SESSION['accion']=='etiquetado') { ?><th>Idioma</th><?php } ?>
		<th>Cant.</th>
        <?php if($_SESSION['verEnCajas']=='S') { ?><th>Cajas</th>
        <th><?php echo ucfirst($_SESSION['accion']); ?></th>
        <?php } ?>
		<th>Orden Preparación</th>
        <th>Fecha Carga</th>
        <th>Hora Carga</th>
        <th>Picking</th>
        <th>Estado</th>
	</tr>
    
	<?php foreach($resultado as $orden) { ?>
    
    	<?php //print_r($orden); echo "<hr>"; ?>
    
		<tr class="lineaOrden <?php if($orden['EstadoPicking']=='Cerrada') { ?>clicable<?php } else { ?>rojo<?php } ?> <?php if($orden['EstadoUsuario']=='Iniciada') { ?>verde fondoVerde<?php } ?>" style="height:75px" orden="<?php echo $orden['NumeroOrden']; ?>" cliente="<?php echo $orden['ClienteNombre']; ?>" fechaCarga="<?php echo $orden['FechaCarga']; ?>" horaCarga="<?php echo $orden['HoraCarga']; ?>" picking="<?php if($orden['EstadoPicking']) echo $orden['EstadoPicking']; else echo "Sin"; ?>">
			<?php if(count($_SESSION['empresas'])>1) { ?><td><?php echo $orden['Empresa']; ?></td><?php } ?>
            <td><?php echo $orden['NumeroOrden']; ?></td>
            <td><?php echo fechaNacional($orden['FechaCreacion']); ?></td>
            <td><?php echo $orden['ClienteNombre']; ?></td>
            <td><?php echo $orden['Producto']; ?></td>
            <td><?php echo $orden['NombreProducto']; ?></td>
            <?php if($_SESSION['accion']=='etiquetado') { ?><td><?php echo $orden['Idioma']; ?></td><?php } ?>
            <td align="right"><?php echo number_format($orden['Lanzado'],0,',','.'); ?></td>
            <?php if($_SESSION['verEnCajas']=='S') { ?><td align="right"><?php echo number_format($orden['Cajas'],2,',','.'); ?></td>
            <td><?php echo $orden['CantidadLeida']; ?></td>
            <?php } ?>
            <td><?php echo $orden['NumeroOrdenPreparacion']; ?></td>
            <td><?php echo fechaNacional($orden['FechaCarga']); ?></td>
            <td><?php echo $orden['HoraCarga']; ?></td>
            <td><?php echo $orden['EstadoPicking']; ?></td>
            <td><?php echo $orden['EstadoUsuario']; ?></td>
		</tr>
        
	<?php } ?>
	</table>
    
	<div class="barraFiltro">
    	
        <table cellpadding="5" style="margin:0 auto">
        	<tr>
            	<td>
                Picking: <br />
                <select name="filtroPicking" id="filtroPicking" class="campo selectorFiltro">
                	<option value="" selected>Todas las órdenes</option>
                    <option value="Cerrada">Orden de Picking cerrada</option>
                	<option value="Iniciada">Orden de Picking iniciada</option>
                	<option value="Sin">Sin orden de Picking asignada</option>
                </select>
                </td>
            	<td>
                Cliente: <br />
                <select name="filtroCliente" id="filtroCliente" class="campo selectorFiltro">
                    <option value="">---</option>
                    <?php foreach($comboClientes as $item) { ?>
                    <option value="<?php echo $item; ?>"><?php echo $item; ?></option>
                    <?php } ?>
                </select>
                </td>
                <td>
                Fecha carga: <br />
                <select name="filtroFecha" id="filtroFecha" class="campo selectorFiltro">
                    <option value="">---</option>
                    <?php foreach($comboFechaCarga as $item) { ?>
                    <option value="<?php echo $item; ?>"><?php echo fechaNacional($item); ?></option>
                    <?php } ?>
                </select>
                </td>
                <td>
                Hora<br />
                <select name="filtroHora" id="filtroHora" class="campo selectorFiltro">
                    <option value="">---</option>
                    <?php foreach($comboHoraCarga as $item) { ?>
                    <option value="<?php echo $item; ?>"><?php echo $item; ?></option>
                    <?php } ?>
                </select>
                </td>
                <td>
                <img id="filtroApagado" src="<?php echo DIR_IMAGENES; ?>/botones/filter-off.png" alt="Filtro" style="width:60px;height:60px;"/>
                <img id="aplicarFiltro" src="<?php echo DIR_IMAGENES; ?>/botones/filter.png" alt="Filtro" style="display:none;width:60px;height:60px;cursor:pointer;"/>
                <img id="quitarFiltro" src="<?php echo DIR_IMAGENES; ?>/botones/filter-remove.png" alt="Filtro" style="display:none;width:60px;height:60px;cursor:pointer"/>
                </td>
            </tr>
        </table>
        
    </div>
    
<script>
	
	function repintarTabla() {
	
		$(".lineaOrden").children('td').css('background-color','#ffffff');
		$(".lineaOrden").children('td').css('border-bottom','');
		$(".lineaOrden").children('td').css('border-radius','');
		$(".lineaOrden").children('td').css('-mozborder-radius','');
		$(".lineaOrden").children('td').css('-webkit-border-radius','');
	
		var par=true;
		var ultimaFila; 
		
		$(".lineaOrden").each(function(){
			if( $(this).is(":visible") ) {
				if(par) $(this).children('td').css('background-color','#ffffff');
				else $(this).children('td').css('background-color','#eeeeee');
				par = !par;
				ultimaFila=$(this);
			}
        });
		
		if (ultimaFila) {
		
			ultimaFila.children('td').css('border-bottom','1px solid #999999');
			ultimaFila.children('td:first').css('border-radius','0 0 0 15px');
			ultimaFila.children('td:first').css('-mozborder-radius','0 0 0 15px');
			ultimaFila.children('td:first').css('-webkit-border-radius','0 0 0 15px');
			ultimaFila.children('td:last').css('border-radius','0 0 15px 0');
			ultimaFila.children('td:last').css('-mozborder-radius','0 0 15px 0');
			ultimaFila.children('td:last').css('-webkit-border-radius','0 0 15px 0');
		}
	}
	
	function aplicarFiltro() {
	
		if( $('#filtroPicking').val()=='' && $('#filtroCliente').val()=='' && $('#filtroFecha').val()=='' && $('#filtroHora').val()=='' ) {
			$('#filtroApagado').show();
			$('#quitarFiltro').hide();
			$('#aplicarFiltro').hide();
		}
		else  {
			$('#filtroApagado').hide();
			$('#quitarFiltro').show();
			$('#aplicarFiltro').hide();
		}
		
		$('.lineaOrden').each(function() {
		
			var coincidenciaPicking=false;
			var coincidenciaCliente=false;
			var coincidenciaFecha=false;
			var coincidenciaHora=false;
		
			if( $('#filtroPicking').val()!='' && $(this).attr('picking')==$('#filtroPicking').val() ) coincidenciaPicking=true;
			else if( $('#filtroPicking').val()=='' ) coincidenciaPicking=true;
		
			if( $('#filtroCliente').val()!='' && $(this).attr('cliente')==$('#filtroCliente').val() ) coincidenciaCliente=true;
			else if( $('#filtroCliente').val()=='' ) coincidenciaCliente=true;
			
			if( $('#filtroFecha').val()!='' && $(this).attr('fechaCarga')==$('#filtroFecha').val() ) coincidenciaFecha=true;
			else if( $('#filtroFecha').val()=='' ) coincidenciaFecha=true;
			
			if( $('#filtroHora').val()!='' && $(this).attr('horaCarga')==$('#filtroHora').val() ) coincidenciaHora=true;
			else if( $('#filtroHora').val()=='' ) coincidenciaHora=true;
			
			if( coincidenciaPicking && coincidenciaCliente && coincidenciaFecha && coincidenciaHora ) $(this).show();
			else $(this).hide();
		});

		repintarTabla();
	
	}
	
	$(document).ready(function() {
	
		//Estado inicial filtro
		$('#filtroPicking option[value="Cerrada"]').prop('selected',true);
		aplicarFiltro();
		repintarTabla();
		
		$('#filtroPicking').on('change',function() {
			$('#nombreEstadoPicking').html( $('#filtroPicking option:selected').text() );
		});
	
		$('.selectorFiltro').on("change",function() {
			aplicarFiltro();
		});
		
		$('#quitarFiltro').on("click",function() {
		
			$('#filtroPicking option:selected').removeProp('selected');
			$('#filtroCliente option:selected').removeProp('selected');
			$('#filtroFecha option:selected').removeProp('selected');
			$('#filtroHora option:selected').removeProp('selected');
			
			$('#filtroPicking option[value=""]').prop('selected',true);
			$('#filtroCliente option[value=""]').prop('selected',true);
			$('#filtroFecha option[value=""]').prop('selected',true);
			$('#filtroHora option[value=""]').prop('selected',true);
			
			$('#filtroApagado').show();
			$('#quitarFiltro').hide();
			$('#aplicarFiltro').hide();

			$(".lineaOrden").show();
			
			repintarTabla();
			
		});
		
		$('.lineaOrden.clicable').on("click",function() {
		
			$('#popupCargando').show();
			window.location="orden-etiquetado-precintado.php?orden="+$(this).attr('orden');

		});
		
	});
	</script>
	<?php
	
	}
	else { ?><p>No hay ninguna Orden de <?php echo ucfirst($_SESSION['accion']); ?> pendiente.</p><?php }
}
else { ?><p>No hay ninguna Orden de <?php echo ucfirst($_SESSION['accion']); ?> pendiente.</p><?php }
?>